<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
    <head>
        <title>Inicio</title>
        <meta charset="UTF-8">
    </head>
    <body>
        
        <a th:href="@{/agregar}">Crear Persona</a>
        <div th:if="${personas != null and !personas.empty}">
            <table border="1">
                <tr>
                    <th>Nombre</th>
                    <th>Apellido</th>
                    <th>Email</th>
                    <th>Teléfono</th>
                    <th>Editar</th>
                    <th>Eliminar</th>
                </tr>
                <tr th:each="persona : ${personas}">
                    <td th:text="${persona.nombre}">Mostrar Nombre</td>
                    <td th:text="${persona.apellido}">Mostrar Apellido</td>
                    <td th:text="${persona.email}">Mostrar Email</td>
                    <td th:text="${persona.telefono}">Mostrar Teléfono</td>
                    <td><a th:href="@{/editar/} + ${persona.idPersona}" th:text="Editar"/></td>
                    <td><a th:href="@{/eliminar(idPersona=${persona.idPersona})}" th:text="Eliminar"/></td>
                </tr>
            </table>
        </div>
        <div th:if="${personas == null or personas.empty}">
            La lista de personas está vacía
        </div>
        
    </body>
</html>
